/*
 * xmss globally visible definitions.
 */

#include <X11/Xresource.h>

#if NeedFunctionPrototypes
#define _(x) x
#else
#define _(x) ()
#endif

#define SCLASS		"Saver"

#define BAD 0xFFFFFFFF

typedef struct xmss_module
{
    _Xconst char *name;
    XrmOptionDescRec *options;
    unsigned nopt;
    int (*init)_((int));
    int (*finit)_((int));
    long (*startup)_((void));
    long (*shutdown)_((void));
    long (*work)_((int));
    int initted;
    int enabled;
} Module;

extern Display *dpy;
extern Window root;
extern int scr;

extern void warning _((_Xconst char *, _Xconst char *));
extern void fatal _((_Xconst char *, _Xconst char *));
extern _Xconst char *getRes _((_Xconst char *, _Xconst char *, _Xconst char *));
extern int getNumRes _((_Xconst char *, _Xconst char *, _Xconst char *));
extern int getBoolRes _((_Xconst char *, _Xconst char *, _Xconst char *));
extern unsigned long getColorRes _((_Xconst char *, _Xconst char *, _Xconst char *));
extern _Xconst Module *module_select _((_Xconst char *));
extern int module_count _((void));
extern _Xconst Module *module_get _((int));
